Sun GlassFish(tm) Message Queue v4.4

## com.sun.messaging.jms.management.server
Class ProducerInfo

    java.lang.Object
      com.sun.messaging.jms.management.server.ProducerInfo

All Implemented Interfaces:
  Serializable

    public class ProducerInfo

extends Object
implements Serializable

This class contains constants/names for fields in the CompositeData that is returned by the operations of the Producer Manager Monitor MBean.

See Also:
  Serialized Form

Field Summary
`static String` `CONNECTION_ID` Connection ID
`static String` `CREATION_TIME` Creation Time
`static String` `DESTINATION_NAME` Destination Name
`static String` `DESTINATION_NAMES` Destination Names (that match wildcard)
`static String` `DESTINATION_TYPE` Destination Type
`static String` `FLOW_PAUSED` Flow Paused
`static String` `HOST` Host
`static String` `NUM_MSGS` Number of messages sent from producer.
`static String` `PRODUCER_ID` Producer ID
`static String` `SERVICE_NAME` Service Name
`static String` `USER` User
`static String` `WILDCARD` Wildcard (whether the producer is a wildcard or not)

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CONNECTION_ID

    public static final String CONNECTION_ID

  Connection ID

  See Also:
    Constant Field Values

### CREATION_TIME

    public static final String CREATION_TIME

  Creation Time

  See Also:
    Constant Field Values

### DESTINATION_NAME

    public static final String DESTINATION_NAME

  Destination Name

  See Also:
    Constant Field Values

### DESTINATION_NAMES

    public static final String DESTINATION_NAMES

  Destination Names (that match wildcard)

  See Also:
    Constant Field Values

### DESTINATION_TYPE

    public static final String DESTINATION_TYPE

  Destination Type

  See Also:
    Constant Field Values

### FLOW_PAUSED

    public static final String FLOW_PAUSED

  Flow Paused

  See Also:
    Constant Field Values

### HOST

    public static final String HOST

  Host

  See Also:
    Constant Field Values

### NUM_MSGS

    public static final String NUM_MSGS

  Number of messages sent from producer.

  See Also:
    Constant Field Values

### PRODUCER_ID

    public static final String PRODUCER_ID

  Producer ID

  See Also:
    Constant Field Values

### SERVICE_NAME

    public static final String SERVICE_NAME

  Service Name

  See Also:
    Constant Field Values

### USER

    public static final String USER

  User

  See Also:
    Constant Field Values

### WILDCARD

    public static final String WILDCARD

  Wildcard (whether the producer is a wildcard or not)

  See Also:
    Constant Field Values

Sun GlassFish(tm) Message Queue v4.4

Copyright 2009 Sun Microsystems, Inc. 4150 Network Circle,
Santa Clara, California, 95054, U.S.A. All Rights Reserved.